IdBagPluralAttributeElementAdapter (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.mapping.hbm
Class IdBagPluralAttributeElementAdapter

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.hbm.IdBagPluralAttributeElementAdapter

All Implemented Interfaces:
  MetaAttributeContainer, PluralAttributeElement

Direct Known Subclasses:
  JaxbIdbagElement

    public abstract class IdBagPluralAttributeElementAdapter

extends Object
implements PluralAttributeElement

Adaptive implementation of the `PluralAttributeElement` for `<idbag/>` mappings which do not support all the configuration available on other collection mappings.

Constructor Summary
`IdBagPluralAttributeElementAdapter()`

Method Summary
`JaxbOneToManyElement` | `getOneToMany()`
`boolean` | `isInverse()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.internal.jaxb.mapping.hbm.PluralAttributeElement
`getAccess, getBatchSize, getCache, getCascade, getCatalog, getCheck, getCollectionType, getComment, getCompositeElement, getElement, getFetch, getFilter, getKey, getLazy, getLoader, getManyToAny, getManyToMany, getName, getOuterJoin, getPersister, getSchema, getSqlDelete, getSqlDeleteAll, getSqlInsert, getSqlUpdate, getSubselect, getSubselectAttribute, getSynchronize, getTable, getWhere, isMutable, isOptimisticLock`

Methods inherited from interface org.hibernate.internal.jaxb.mapping.hbm.MetaAttributeContainer
`getMeta`

Constructor Detail

### IdBagPluralAttributeElementAdapter

    public IdBagPluralAttributeElementAdapter()

Method Detail

### getOneToMany

    public JaxbOneToManyElement getOneToMany()

  Specified by:
    `getOneToMany` in interface `PluralAttributeElement`

### isInverse

    public boolean isInverse()

  Specified by:
    `isInverse` in interface `PluralAttributeElement`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.